Subject: Re: [PATCH] powerpc pseries eeh: Convert to kthread API

From: [email-masked] (Eric W. Biederman)
Date: Mon, 23 Apr 2007 22:51:50 -0600

Paul Mackerras <[email-masked]> writes:

> Eric W. Biederman writes:
>
>> Well the basic problem is that for any piece of code that can be modular
>> we need a way to ensure all threads it has running are shutdown when we
>> remove the module.
>
> The EEH code can't be modular, and wouldn't make any sense to be
> modular, since it's part of the infrastructure for accessing PCI
> devices.

Agreed.  However most kthread users are modular and make sense to
be so we need to design to handle modular users.

I don't think the idiom of go fire off a thread to handle something
is specific to non-modular users.

Eric